Skip to main content
POST
Send a test to an endpoint

Authorizations

Authorization
string
header
required

A team key: sk_test_ for sandbox, sk_live_ for production.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
endpointId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

env
enum<string>
Available options:
production,
sandbox

Body

application/json
type
enum<string>
default:char.ready
Available options:
char.ready,
char.failed,
char.updated,
license.issued,
license.revoked,
license.expired,
license.updated,
license.redeemed,
usage.generated,
usage.blocked

Response

200 - application/json

Default Response

ok
boolean
required
response_code
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
response_ms
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
body
string
required
error
string | null
required
error_kind
enum<string> | null
required
Available options:
timeout,
tls,
unreachable,
connection,
http